changeset 669:1cf41855bb85

More error checking.
author Rob Landley <rob@landley.net>
date Sun, 29 Mar 2009 15:53:03 -0500
parents e7eb5123258c
children bf289e4e93de
files buildall.sh cross-compiler.sh download.sh host-tools.sh mini-native.sh run-from-build.sh system-image.sh
diffstat 7 files changed, 8 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/buildall.sh	Sun Mar 29 15:51:24 2009 -0500
+++ b/buildall.sh	Sun Mar 29 15:53:03 2009 -0500
@@ -3,7 +3,7 @@
 # Build every target architecture, creating out-$ARCH.txt log files.
 # If $FORK is set, build them in parallel.
 
-. sources/functions.sh
+. sources/functions.sh || exit 1
 
 # Build one architecture, capturing log output.
 
--- a/cross-compiler.sh	Sun Mar 29 15:51:24 2009 -0500
+++ b/cross-compiler.sh	Sun Mar 29 15:53:03 2009 -0500
@@ -2,7 +2,7 @@
 
 # Get lots of predefined environment variables and shell functions.
 
-source sources/include.sh
+source sources/include.sh || exit 1
 
 CROSS="${BUILD}/cross-compiler-${ARCH}"
 
--- a/download.sh	Sun Mar 29 15:51:24 2009 -0500
+++ b/download.sh	Sun Mar 29 15:53:03 2009 -0500
@@ -3,7 +3,7 @@
 # Use "./download.sh --extract" to extract all tarballs.
 
 NO_ARCH=none
-source sources/include.sh
+source sources/include.sh || exit 1
 
 [ "$1" == "--extract" ] && EXTRACT_ALL=yes
 
@@ -79,6 +79,7 @@
 
 URL=http://impactlinux.com/code/toybox/downloads/toybox-0.0.9.tar.bz2 \
 SHA1=a3aed07694149c6582a78cf6de4dfcff0383c9d5 \
+UNSTABLE=http://impactlinux.com/fwl/alt-toybox-0.tar.bz2
 download || dienow
 
 URL=http://cxx.uclibc.org/src/uClibc++-0.2.2.tar.bz2 \
--- a/host-tools.sh	Sun Mar 29 15:51:24 2009 -0500
+++ b/host-tools.sh	Sun Mar 29 15:53:03 2009 -0500
@@ -7,7 +7,7 @@
 set +h
 
 NO_ARCH=1
-source sources/include.sh
+source sources/include.sh || exit 1
 
 echo -e "$HOST_COLOR"
 echo "=== Building host tools"
--- a/mini-native.sh	Sun Mar 29 15:51:24 2009 -0500
+++ b/mini-native.sh	Sun Mar 29 15:53:03 2009 -0500
@@ -2,7 +2,7 @@
 
 # Get lots of predefined environment variables and shell functions.
 
-source sources/include.sh
+source sources/include.sh || exit 1
 
 # Purple.  And why not?
 echo -e "$NATIVE_COLOR"
--- a/run-from-build.sh	Sun Mar 29 15:51:24 2009 -0500
+++ b/run-from-build.sh	Sun Mar 29 15:53:03 2009 -0500
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-source sources/include.sh
+source sources/include.sh || exit 1
 
 cd "${BUILD}/system-image-$ARCH_NAME" || exit 1
 
--- a/system-image.sh	Sun Mar 29 15:51:24 2009 -0500
+++ b/system-image.sh	Sun Mar 29 15:53:03 2009 -0500
@@ -3,7 +3,7 @@
 # Create a bootable system image from mini-native
 
 NO_BASE_ARCH=1
-source sources/include.sh
+source sources/include.sh || exit 1
 
 echo -e "$PACKAGE_COLOR"
 echo "=== Packaging system image from mini-native"